commit:     955f728fb449f00b5f1ade4561421f2373faca36
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 06:59:56 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 11:17:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=955f728f

app-admin/awscli: Bump to 1.36.28

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-admin/awscli/Manifest              |  1 +
 app-admin/awscli/awscli-1.36.28.ebuild | 95 ++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 53f4e5ddd611..a93e4873df87 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -1,3 +1,4 @@
 DIST aws-cli-1.36.17.gh.tar.gz 2849378 BLAKE2B 
67e79717e6ad2cdc62f79fdc6ab370e091677fff4e3f2a7872fc0f49e49e53cc395c50a5fd7ed1c46481dcc4f9b4425651bf0c09adc9f769f039647c5b33f794
 SHA512 
82412802be0056eaa791f725579151dab2fedbf1c6bbf5461cdde016e0d8adc977ae1fb6796696d844706f92d3a4c4bb6424e7a0e7b5a0d7b0a0c2e0070b774f
 DIST aws-cli-1.36.22.gh.tar.gz 2853997 BLAKE2B 
a9f309c157595edd37e87834e7b67c16c04edb8f9f2381e8dd2335cc932b2071f7cfd24ca4abd16100ef1de21adb7f502af911d71c20459e0321a9375a49ec0e
 SHA512 
05ee5d22f5f552ba0e7eaf4a1a88bcb3a2cb8db30315fdbf04d9c9c1c69b07ae3a8727e1dca1b154d9dad4bf89aa5950c0f369a965f92ec99f7e0251665f13eb
 DIST aws-cli-1.36.27.gh.tar.gz 2874317 BLAKE2B 
5f696b14ba47e6b9b0150e600d7f3241d5bebc1c66e848239221db74dada3c358c5eae795e9d3988383ac431f449729c4226e17724d54d5a6b9531e046c15810
 SHA512 
0e8dd2bb6dc086f3ff29931c1f41778f6c25e3a173def142f12b6e57fac6edd0df0cd588bc522045561afc44827b8fd2a0bcd582bb72ee01727d22bd0b34a3cc
+DIST aws-cli-1.36.28.gh.tar.gz 2874619 BLAKE2B 
7a40dc150fd35bd3b1d0eeed6b9a96b1492553aeda58bee92bd68afd07f5dc91aaa0cc8c54b0b5668216ab28020cc8799c0ed1ae414cebc1d2330e508a45cb0e
 SHA512 
f241c72cc067932c0f2f6a2d6eb1ff1172996c8c837ba24cb511ff5c5cac24530b9b1dde3ce385b042cff241cf2dccbb3f7a563d2d7f2f8012d3f5a378f346fb

diff --git a/app-admin/awscli/awscli-1.36.28.ebuild 
b/app-admin/awscli/awscli-1.36.28.ebuild
new file mode 100644
index 000000000000..2960403cf7e0
--- /dev/null
+++ b/app-admin/awscli/awscli-1.36.28.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit bash-completion-r1 distutils-r1
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+       https://github.com/aws/aws-cli/
+       https://pypi.org/project/awscli/
+"
+SRC_URI="
+       https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y-1).(z+59)
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) - 1)).$(( $(ver_cut 3-) + 59 ))"
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !app-admin/awscli-bin
+"
+BDEPEND="
+       test? (
+               dev-python/packaging[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       # strip overzealous upper bounds on requirements
+       sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local serial_tests=(
+               
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+               
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+               tests/unit/customizations/test_sessionmanager.py
+               tests/unit/test_compat.py::TestIgnoreUserSignals
+               tests/unit/test_help.py
+               
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+       )
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+       local EPYTEST_DESELECT=(
+               "${serial_tests[@]}"
+
+               # flaky (some ordering?)
+               
tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+       )
+       # integration tests require AWS credentials and Internet access
+       epytest tests/{functional,unit}
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to